package com.ynet.life.sujrb.log;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.web.servlet.mvc.BizLogicException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.log.LifeActionLogInfo;
import com.ynet.life.log.LifeActionLoggerInterface;
import com.ynet.life.log.LifeActionLoggerParser;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_log.jar:com/ynet/life/sujrb/log/PBActionLogger.class */
public class PBActionLogger implements LifeActionLoggerInterface {
    private static final String INSERT_SQL = "INSERT INTO FSP_LOG (LOG_DATETIME,LOG_BRANCHNO,LOG_USERNO,LOG_BSNCODE,LOG_RESULT,LOG_CONTEXTID,LOG_FLOWNO,LOG_INFO,LOG_SID) VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?)";

    public void log(Context context, LifeActionLogInfo logInfo) throws TranFailException {
        log(context, logInfo, null);
    }

    public void log(Context context, LifeActionLogInfo logInfo, Throwable throwable) throws TranFailException {
        Connection connection = null;
        try {
            try {
                Context sessionCtx = context.getParent();
                String businessCode = logInfo.getBusinessCode();
                String currentBusinessCode = businessCode;
                if (businessCode == null || currentBusinessCode.length() == 0) {
                    currentBusinessCode = (String) context.getDataValue("businessCode");
                }
                if (currentBusinessCode == null || currentBusinessCode.length() == 0) {
                    currentBusinessCode = (String) sessionCtx.getDataValue("businessCode");
                }
                String str = (String) context.getDataValue(TEntity.USER_ID);
                String userId = str;
                if (str == null || "".equals(userId)) {
                    userId = (String) sessionCtx.getDataValue(TEntity.USER_ID);
                }
                String branchNo = (String) context.getDataValue(TEntity.USER_BRANCH_ID);
                context.getDataValue("appKey");
                logInfo.getOperatorType();
                String logFieldDefine = logInfo.getLogFormat();
                sessionCtx.get("session_userRemoteMAC");
                List inputList = new ArrayList();
                inputList.add(LifeStandard.getServerTime("yyyyMMddHHmmss"));
                inputList.add(branchNo);
                inputList.add(userId);
                inputList.add(currentBusinessCode);
                String tranResult = getTranResult(context, throwable);
                String result = tranResult;
                if (tranResult != null && result.length() > 8) {
                    result = result.substring(0, 8);
                }
                inputList.add(result);
                inputList.add(context.getName());
                inputList.add(LifeDBAccess.getSequenceNo("logNo"));
                inputList.add(LifeActionLoggerParser.parser(context, logFieldDefine));
                inputList.add((String) context.getDataValue("appKey"));
                try {
                    context.getDataValue(TEntity.CLIENTIP);
                } catch (Exception unused) {
                }
                try {
                    context.getDataValue(TEntity.CLIENTMAC);
                } catch (Exception unused2) {
                }
                Connection connection2 = LifeDBAccess.getConnection();
                connection = connection2;
                LifeDBAccess.executeSQLUpdate(connection2, INSERT_SQL, inputList);
                connection.commit();
                try {
                    LifeDBAccess.releaseConnection(connection);
                } catch (TranFailException ex) {
                    Trace.logError("LifeAction", "记录日志时发生异常", ex);
                }
            } catch (Throwable th) {
                try {
                    LifeDBAccess.releaseConnection(connection);
                } catch (TranFailException ex2) {
                    Trace.logError("LifeAction", "记录日志时发生异常", ex2);
                }
                throw th;
            }
        } catch (Exception ex3) {
            Trace.logError("LifeAction", "记录日志时发生异常", ex3);
            try {
                throw ex3;
            } catch (Exception e) {
                Trace.logError("LifeAction", "记录日志时发生异常", e);
                try {
                    LifeDBAccess.releaseConnection(connection);
                } catch (TranFailException ex4) {
                    Trace.logError("LifeAction", "记录日志时发生异常", ex4);
                }
            }
        }
    }

    private String getTranResult(Context context, Throwable throwable) throws GENEException {
        String str = (String) context.getDataValue("errorCode");
        String error = str;
        if (str != null && error.length() > 0) {
            return error;
        }
        if (throwable != null) {
            if (throwable instanceof BizLogicException) {
                throwable = ((BizLogicException) throwable).getException();
            }
            if (throwable instanceof TranFailException) {
                error = ((TranFailException) throwable).getErrorCode();
            }
            if (error == null || error.length() == 0) {
                error = "EBLN0000";
            }
        }
        if (error == null || error.length() == 0) {
            error = "00000000";
        }
        return error;
    }
}
